import { DeviceController } from './device-controller';
import { IPuck, LED } from './types/puck-types';
export declare class Puck extends DeviceController implements IPuck {
    LED: LED;
    /**
     *
     * @returns temperature from device
     */
    getTemperature(): Promise<number>;
    /**
     *
     * @param func A function to be run of press of pucks button
     */
    onPress(func: Function): void;
}
